Option Strict Off
Option Explicit On
Friend Class clsWeldmentDocument
	
    Public SolidEdgeVersion As Integer
	Public DocumentSize As Integer
	Public Name As String
	
	
	Private mvarFailedItems As clsFailedItems
	Private mvarWarnedItems As clsWarnedItems
	
	Public ReadOnly Property DocumentType() As modOpenSave.DocumentTypes
		Get
			DocumentType = modOpenSave.DocumentTypes.typWeldmentDocument
		End Get
	End Property
	
	
	Public ReadOnly Property WarnedItems() As clsWarnedItems
		Get
			If mvarWarnedItems Is Nothing Then
				mvarWarnedItems = New clsWarnedItems
			End If
			
			WarnedItems = mvarWarnedItems
		End Get
	End Property
	
	
	Public ReadOnly Property FailedItems() As clsFailedItems
		Get
			If mvarFailedItems Is Nothing Then
				mvarFailedItems = New clsFailedItems
			End If
			
			FailedItems = mvarFailedItems
		End Get
	End Property
	
    Protected Overrides Sub Finalize()
        mvarWarnedItems = Nothing
        mvarFailedItems = Nothing
        MyBase.Finalize()
    End Sub
End Class